package com.sf.common.enums;

import java.util.HashMap;
import java.util.Map;

/**
 * header参数
 * 
 * @author ztzh
 *
 */
public enum RequestHeaderEnums
{
    /**
     * 通知完成指令，用于客户端收到通知消息的确认
     */
    APP_CODE("appCode"),
    ;

    private static Map<String, RequestHeaderEnums> map = new HashMap<>();

    static {
        for (RequestHeaderEnums type : RequestHeaderEnums.values()) {
            map.put(type.code, type);
        }
    }


    private String code;

    RequestHeaderEnums(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public static final RequestHeaderEnums getByCode(String code) {
        return map.get(code);
    }
}
